#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-user-guide
Version		:	1.28.0
Release		:	17.2.0.rel%{?dist}
Summary		:	MATE documention, user guide
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	mate-common
BuildRequires	:	itstool
BuildRequires	:	yelp-tools

BuildArch	:	noarch

Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
This package contains documents which will be packaged together
and shipped as mate-user-guide in the core MATE distribution.
They should be documents targeted for end-users of MATE and
have general MATE applicability.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/*.xml
%{_datadir}/help/*/%{name}/figures/*.png

%post
%{_bindir}/update-desktop-database > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q 

#get rid of some translation
%{__rm} -fr mate-user-guide/{ja,sr}
#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-update-mimedb				\
	--disable-static				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#we should not have an installed mimeinfo.cache
%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
